from __future__ import print_function
from sys import stdin

def printf(str, *args):
	print(str % args, end='')

def fib_1(a):
	fib = 0
	if a>0:
		if (a==1) or (a==2):
			fib += 1
		else:
			fib = fib_1(a-1)+fib_1(a-2)
	return fib

printf("피보나치에서 몇 번째 항을 구할까요? input number : ")
i = int(stdin.readline())
printf("%d\n" % fib_1(i))

stdin.readline()